#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/std/stdio.h>
#include <gint/std/stdlib.h>
#include <gint/clock.h>
#include "FxEngine/FxEngine.h"
#include "controls.h"


int main(void)
{
	init_controls();
	dclear(C_WHITE);
	FE_point point[3]={{1,0,0,0,0,0},{1,1,0,0,0,0},{1,0,1,0,0,0}};
	while (1)
	{
		FE_new_frame();
		const double h=64+FE_cos(FE_dh)*64;
		dpixel(h,1,C_BLACK);
		reload_fps_displaying();
		for (int i=0;i<3;i++)
		{
			FE_calc(&point[i]);
			dpixel(point[i].translated.x,point[i].translated.y,C_BLACK);
		}

		display_fps(100,56);
	}
	getkey();
	return 1;
}